public inbox for newlib-cvs@sourceware.org
help / color / mirror / Atom feed
From: Jon TURNEY <jturney@sourceware.org>
To: cygwin-cvs@sourceware.org, newlib-cvs@sourceware.org
Subject: [newlib-cygwin] Cygwin: CI configuration update
Date: Fri, 30 Apr 2021 13:23:41 +0000 (GMT)	[thread overview]
Message-ID: <20210430132341.A9B383A4DC08@sourceware.org> (raw)

https://sourceware.org/git/gitweb.cgi?p=newlib-cygwin.git;h=2d3416440213e1208ed665558e5eda765cb5f061

commit 2d3416440213e1208ed665558e5eda765cb5f061
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Tue Oct 27 16:29:45 2020 +0000

    Cygwin: CI configuration update
    
    Install autoconf and automake, and run winsup/autogen.sh, and don't have
    it silently ignore failures.
    
    On AppVeyor:
    - use latest VM image, to reduce time spent installing updates.
    - run the testsuite, but ignore the result, as some tests don't work
    correctly.
    - hardcode the python-lxml and python-ply packages to install, so we get
    ones for the right python.
    - install texlive collections now needed to build documentation.
    
    On github:
    - Use a copr for cocom, since RPMSphere's package updates don't track
    fedora:latest very efficently.

Diff:
---
 .appveyor.yml                | 13 +++++++++++--
 .github/workflows/cygwin.yml | 11 +++++++----
 winsup/autogen.sh            |  1 +
 3 files changed, 19 insertions(+), 6 deletions(-)

diff --git a/.appveyor.yml b/.appveyor.yml
index 602c189cd..66ac35701 100644
--- a/.appveyor.yml
+++ b/.appveyor.yml
@@ -1,4 +1,5 @@
 version: '{build}'
+image: Visual Studio 2019
 
 branches:
   only:
@@ -30,6 +31,8 @@ install:
 - "%CACHE%\\%SETUP% -qnNdO -R %CYGWIN_ROOT% -s %CYGWIN_MIRROR% -l %CACHE% -g -P \
 gcc-core,\
 gcc-g++,\
+autoconf,\
+automake,\
 make,\
 perl,\
 patch,\
@@ -40,21 +43,27 @@ zlib-devel,\
 %PKGARCH%-gcc-core,\
 %PKGARCH%-gcc-g++,\
 %PKGARCH%-zlib,\
+dejagnu,\
 dblatex,\
 docbook2X,\
 docbook-xml45,\
 docbook-xsl,\
+texlive-collection-latexrecommended,\
+texlive-collection-fontsrecommended,\
+texlive-collection-pictures,\
 xmlto,\
-python3-lxml,\
-python3-ply"
+python38-lxml,\
+python38-ply"
 
 build_script:
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER; mkdir build install"'
+- '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER; cd winsup; ./autogen.sh"'
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; ../configure --prefix=$(realpath $(pwd)/../install) -v"'
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; make"'
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; make install"'
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; cd */newlib; make info man"'
 - '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; cd */newlib; make install-info install-man"'
+- '%CYGWIN_ROOT%/bin/bash -lc "cd $APPVEYOR_BUILD_FOLDER/build; cd */winsup; make check || true"'
 
 test: off
 deploy: off
diff --git a/.github/workflows/cygwin.yml b/.github/workflows/cygwin.yml
index cdad8e67b..f9a9a7ae5 100644
--- a/.github/workflows/cygwin.yml
+++ b/.github/workflows/cygwin.yml
@@ -20,15 +20,17 @@ jobs:
     - uses: actions/checkout@v2
 
     # install build tools
-    - run: dnf install -y make patch perl
+    - run: dnf install -y autoconf automake make patch perl
     - run: dnf install -y mingw${{ matrix.pkgarch }}-gcc-c++ mingw${{ matrix.pkgarch }}-winpthreads-static mingw${{ matrix.pkgarch }}-zlib-static
 
-    # cocom isn't packaged in Fedora, so we install from a 3rd party repo
-    - run: dnf install -y https://github.com/rpmsphere/noarch/raw/master/r/rpmsphere-release-$(rpm -E %fedora)-1.noarch.rpm
+    # enable 'dnf copr'
+    - run: dnf install -y dnf-plugins-core
+
+    # cocom isn't packaged in Fedora, so we install from a copr
+    - run: dnf copr enable -y jturney/cocom
     - run: dnf install -y cocom
 
     # install cross-cygwin toolchain and libs from copr
-    - run: dnf install -y dnf-plugins-core
     - run: dnf copr enable -y yselkowitz/cygwin
     - run: dnf install -y cygwin${{ matrix.pkgarch }}-gcc-c++ cygwin${{ matrix.pkgarch }}-gettext cygwin${{ matrix.pkgarch }}-libbfd cygwin${{ matrix.pkgarch }}-libiconv cygwin${{ matrix.pkgarch }}-zlib
 
@@ -38,6 +40,7 @@ jobs:
 
     # build
     - run: mkdir build install
+    - run: cd winsup && ./autogen.sh
     - run: cd build && ../configure --target=${{ matrix.target }} --prefix=$(realpath $(pwd)/../install)
     - run: make -C build
     - run: make -C build/*/newlib info man
diff --git a/winsup/autogen.sh b/winsup/autogen.sh
index 1db91add9..2dae1ae37 100755
--- a/winsup/autogen.sh
+++ b/winsup/autogen.sh
@@ -1,3 +1,4 @@
+set -e
 /usr/bin/aclocal --force
 /usr/bin/autoconf -f
 /usr/bin/automake -ac


                 reply	other threads:[~2021-04-30 13:23 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210430132341.A9B383A4DC08@sourceware.org \
    --to=jturney@sourceware.org \
    --cc=cygwin-cvs@sourceware.org \
    --cc=newlib-cvs@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).